//
// Copyright (c) 2016 eBay Software Foundation
//
// Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//

import Foundation
import UIKit

//MARK: UIFont extension
/**
 Custom Fonts for NMessenger
 */
extension UIFont {
    class func n1H1Font() -> UIFont {
        return UIFont.systemFontOfSize(28.0, weight: UIFontWeightThin)
    }
    
    class func n1H2Font() -> UIFont {
        return UIFont.systemFontOfSize(20.0, weight: UIFontWeightLight)
    }
    
    class func n1H3Font() -> UIFont {
        return UIFont.systemFontOfSize(18.0, weight: UIFontWeightRegular)
    }
    
    class func n1LinkFont() -> UIFont {
        return UIFont.systemFontOfSize(16.0, weight: UIFontWeightSemibold)
    }
    
    class func n1TextStyleFont() -> UIFont {
        return UIFont.systemFontOfSize(16.0, weight: UIFontWeightRegular)
    }
    
    class func n1B1Font() -> UIFont {
        return UIFont.systemFontOfSize(16.0, weight: UIFontWeightRegular)
    }
    
    class func n1TextStyle3Font() -> UIFont {
        return UIFont.systemFontOfSize(12.0, weight: UIFontWeightBold)
    }
    
    class func n1TextStyle3MiniFont() -> UIFont {
        return UIFont.systemFontOfSize(8.0, weight: UIFontWeightBold)
    }
    
    class func n1TextStyle2Font() -> UIFont {
        return UIFont.systemFontOfSize(14.0, weight: UIFontWeightRegular)
    }
    
    class func n1B2Font() -> UIFont {
        return UIFont.systemFontOfSize(14.0, weight: UIFontWeightRegular)
    }
    
    class func n1TextStyle4Font() -> UIFont {
        return UIFont.systemFontOfSize(14.0, weight: UIFontWeightLight)
    }
    
    class func n1CaptionFont() -> UIFont {
        return UIFont.systemFontOfSize(12.0, weight: UIFontWeightMedium)
    }
}